/*
 *	Global definitions.
 */

#ifndef HR_FONTS
#define HR_FONTS

#include "hr_bitmaps.h"

extern struct hr_font{
	int flags;
	int index;
	unsigned char *bitmap;
	unsigned char *in_use[32];
	int offset[256];
	int width;
	int height;
#if 0
	int iwidth[256];
	int iheight[256];
#endif
	int scaled_width;
	int scaled_height;
	int x_offset;
	int y_offset;
	int rotate_angle;
	double italics_factor;
	double x_multiplier;
	double y_multiplier;
}dummy_font;


extern struct hr_font *hr_create_font(struct hr_bitmap *bmap,int index,int flags);
extern int hr_write(int x,int y,
						  int color,int bcolor,
						  unsigned char *text,
						  struct hr_font *font,
						  int offset,int len,
						  int flags);
extern int hr_partial_write(int x,int y,
									 int color,int bcolor,
									 unsigned char character,
									 int px1,int py1,int px2,int py2,
									 struct hr_font *font,
									 int flags);
extern struct hr_font *hr_delete_font(struct hr_font *font);
#endif
